Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Devel::InnerPackage

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Devel::InnerPackage

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - list_packages
- AUTHOR
- COPYING
- BUGS

# NAME

Devel::InnerPackage - find all the inner packages of a package

# SYNOPSIS

        use Foo::Bar;    use Devel::InnerPackage qw(list_packages);    my @inner_packages = list_packages('Foo::Bar');

# DESCRIPTION

Given a file like this

        package Foo::Bar;    sub foo {}    package Foo::Bar::Quux;    sub quux {}    package Foo::Bar::Quirka;    sub quirka {}    1;

then

        list_packages('Foo::Bar');

will return

        Foo::Bar::Quux    Foo::Bar::Quirka

# METHODS

## list_packages <package name>

Return a list of all inner packages of that package.

# AUTHOR

Simon Wistow <simon@thegestalt.org>

# COPYING

Copyright, 2005 Simon Wistow

Distributed under the same terms as Perl itself.

# BUGS

None known.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - list_packages
- AUTHOR
- COPYING
- BUGS